<?php
 namespace MongoDB\Tests\Operation;
 use MongoDB\Exception\InvalidArgumentException;
 use MongoDB\Operation\FindOneAndDelete;
 class FindOneAndDeleteTest extends TestCase {
 public function testConstructorFilterArgumentTypeCheck($filter) {
 $this->expectException(InvalidArgumentException::class);
 new FindOneAndDelete($this->getDatabaseName(), $this->getCollectionName(), $filter);
 }
 public function testConstructorOptionTypeChecks(array $options) {
 $this->expectException(InvalidArgumentException::class);
 new FindOneAndDelete($this->getDatabaseName(), $this->getCollectionName(), [], $options);
 }
 public function provideInvalidConstructorOptions() {
 $options = [];
 foreach ($this->getInvalidDocumentValues() as $value) {
 $options[][] = ['projection' => $value];
 }
 return $options;
 }
 }
 